@echo off
echo.
echo   To open the link, select it with your mouse and press the right button of the mouse to copy it, then paste it into your browser to open it
echo.
echo   See https://github.com/mhvuze/MonsterHunterRiseModding/wiki/Base-Armor-IDs for reference Low Rank and High Rank IDs
echo   See https://github.com/mhvuze/MonsterHunterRiseModding/wiki/SunBreak-Armor-IDs for reference Master Rank IDs
echo.
echo   The Armor ID is the number after the pl, so pl001 the armor ID is the 001
echo.
echo.
echo.
echo   ONLY INPUT THE ARMOR ID (ie. pl123 = 123)

set pl=natives\STM\player\mod\f\
for /f "delims=" %%a in ('dir /b %pl%') do set "cid=%%a"

echo.
echo.
echo.
echo   Current Armor ID = %cid%
echo.
set /p nid=  Input new Armor ID and press ENTER to confirm: 

cd %pl%
ren %cid% "pl%nid%" >nul 2>nul
cd pl%nid%
for /r %%x in (f_helm*.*) do ren "%%x" f_helm%nid%*.* >nul 2>nul
for /r %%x in (f_body*.*) do ren "%%x" f_body%nid%*.* >nul 2>nul
for /r %%x in (f_arm*.*) do ren "%%x" f_arm%nid%*.* >nul 2>nul
for /r %%x in (f_wst*.*) do ren "%%x" f_wst%nid%*.* >nul 2>nul
for /r %%x in (f_leg*.*) do ren "%%x" f_leg%nid%*.* >nul 2>nul

cls
echo.   Armor ID change completed.
echo.   Files Renamed:
echo.
dir /l /b /p

echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo   Shitty batch file made by GHN some little edits by Gradash
timeout /t 5
exit
pau